Bug 1328560 - crash when choosing ISO on samba server
crash when choosing ISO on samba server
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: liveusb-creator (Show other bugs)
24
Unspecified Windows
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1310542
  Show dependency treegraph
 
Reported: 2016-04-19 12:30 EDT by Chris Murphy
Modified: 2017-08-08 10:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 10:16:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Murphy 2016-04-19 12:30:18 EDT
Description of problem: When choosing a Fedora ISO on a Samba server, liveusbcreator crashes.


Version-Release number of selected component (if applicable):



How reproducible:
Always

Steps to Reproduce:
1. Fedora-Live-Workstation-x86_64-23-10.iso on a Fedora 23 Samba server
2. Windows 10 in this virt-manager VM can copy files to and from the server through Explorer just fine
3. Launch liveusb-creator.exe as administrator
4. Click on Custom OS > Select Live ISO > navigate to the server share and find the ISO, click Open.


Actual results:

Crash. "liveusb-creator.exe has stopped working.

Expected results:

Should not crash.

Additional info:

Traceback (most recent call last):
  File "liveusb\gui.py", line 464, in path
  File "liveusb\gui.py", line 193, in path
  File "liveusb\creator.py", line 238, in set_iso
WindowsError: [Error 123] The filename, directory name, or volume label syntax is incorrect: u'C:\\Users\\chris\\Downloads\\liveusb-creator\\liveusb-creator\\file:\\f23s\\brick1\\software\\Fedora\\Fedora-Cloud_Atomic-x86_64-23.iso'

This application has requested the Runtime to terminate it in an unusual way.
Please contact the application's support team for more information.
Comment 2 Fedora End Of Life 2017-07-25 16:34:32 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-08-08 10:16:18 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.